#!/bin/sh

set -euo pipefail

if [ "${BOUNCA_MODE}" != "all-in-one" -a "${BOUNCA_MODE}" != "server" ]; then
  echo "Not running migration"
  exit 0
fi

echo "Migrating database"
cd /opt/bounca
./manage.py migrate

if [ "${BOUNCA_HOST}" != "*" ]; then
  echo "Configure site URL"
  ./manage.py site ${BOUNCA_HOST}
fi

if [ -n "${BOUNCA_ADMIN_USER}" -a -n "${BOUNCA_ADMIN_PASSWORD}" ]; then
  echo "Creating admin user ${BOUNCA_ADMIN_USER}"
  export DJANGO_SUPERUSER_PASSWORD="${BOUNCA_ADMIN_PASSWORD}"
  ./manage.py createsuperuser --noinput --username ${BOUNCA_ADMIN_USER} --email ${BOUNCA_ADMIN_EMAIL} ||\
    echo "Failed to create user ${BOUNCA_ADMIN_USER} (maybe it already exists ?)"
fi
