from bounca.settings import *

LOGGING: dict = {
    "version": 1,
    "disable_existing_loggers": False,
    "formatters": {
        "verbose": {
            "format": "%(levelname)s [%(asctime)s] %(name)s %(message)s",
        },
        "simple": {"format": "[%(asctime)s] %(message)s"},
    },
    "handlers": {
        "null": {
            "class": "logging.NullHandler",
        },
        "console": {
            "class": "logging.StreamHandler",
            "formatter": "simple",
        },
        "mail_admins": {"level": "ERROR", "class": "django.utils.log.AdminEmailHandler"},
    },
    "root": {
        "level": "DEBUG",
        "handlers": ["console"],
    },
    "loggers": {},
}

TIME_ZONE = os.environ.get('TZ')

CSRF_TRUSTED_ORIGINS = [
  "http://localhost:%d" % (os.environ.get('BOUNCA_BIND_ADDR').split(':'))[1],
  "https://%s" % os.environ.get('BOUNCA_HOST')
]

